# PetscRealView

Prints an array of doubles; useful for debugging.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscRealView(PetscInt N,PetscReal idx[],PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

| N | - number of doubles in array
| idx | - array of doubles
| viewer | - location to print array, PETSC_VIEWER_STDOUT_WORLD, PETSC_VIEWER_STDOUT_SELF or 0

### See Also

PetscIntView()

Level:intermediate
Location: src/sys/error/err.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex6.c.html